﻿using System;
using System.Windows.Forms;
using System.Collections.Generic;
using CTNet;
using STFXmlParser;
using Selections;

namespace CalcHelper
{
    public partial class Form1 : Form
    {
        public Pdf pdf1 = null;
        public Pdf pdf2 = null;

        public PageArray pa1 = null;
        public PageArray pa2 = null;

        public static string pdfCurDir = "C:\\temp\\Work\\";

        public bool splitScreen = false;

        /* 
         * When the user moves the splitter bar, they cause the 'splitter bar moved' event to
         * fire...once they stop moving the bar. When the user drags the form borders thus resizing
         * the form, a splitter moved event is fired as well as a 'form resize' event. Both
         * events fire off a common event handler. I do not want needless consecutive execution of the
         * common handler. The splitter moving event handler will set this flag and we will look at
         * it in the splitter bar moved handler. If it is set, we hopefully know that the form resizing
         * was not the originator.
        */
        public bool splitterMoving = false;

        public bool minMaxRestore = false;

        // This contains all calculations for the document we are linked to.
        public static DocCalcs dc = null;

        public DocFile docFile = null;

        public ToolBelt toolBelt = null;

        /*
         * ***********************
         * 
         * These are Visual Studio Code related:
         */
        public CTClient ctClient = null;
        public static VSCFileInfo vscFileInfo = null;
        public bool isConnected = false;

        /*
         * true when:
         * 
         * A) We get a Vscode doc save message for a 
         * file that Calc Helper is not displaying, so
         * something fell thru the cracks;
         * 
         * B) We get a Vscode message that our doc has
         * been closed;
         * 
         * C1) We get a Vscode message that a file has been
         * opened [obviously not the one we are displaying]
         * but we can not display it - for ex. we can not
         * locate the file's .zip file;
         * 
         * C2) Or we COULD open it for display but the user
         * has chosen not to do so.
         */
        public bool vscodeLock = false;

        /*
         * ***********************
         */
    }
}